weka.core.pmml.jaxbbindings

## Class BayesOutput

- java.lang.Object
- - weka.core.pmml.jaxbbindings.BayesOutput

-     public class BayesOutput
      extends java.lang.Object

  Java class for BayesOutput element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="BayesOutput">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}TargetValueCounts"/>
               </sequence>
               <attribute name="fieldName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BayesOutput()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.String` | `getFieldName()` Gets the value of the fieldName property.
    `TargetValueCounts` | `getTargetValueCounts()` Gets the value of the targetValueCounts property.
    `void` | `setFieldName(java.lang.String value)` Sets the value of the fieldName property.
    `void` | `setTargetValueCounts(TargetValueCounts value)` Sets the value of the targetValueCounts property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BayesOutput

          public BayesOutput()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getTargetValueCounts

          public TargetValueCounts getTargetValueCounts()

      Gets the value of the targetValueCounts property.
      Returns:
        possible object is `TargetValueCounts`

    - #### setTargetValueCounts

          public void setTargetValueCounts(TargetValueCounts value)

      Sets the value of the targetValueCounts property.
      Parameters:
        `value` - allowed object is `TargetValueCounts`

    - #### getFieldName

          public java.lang.String getFieldName()

      Gets the value of the fieldName property.
      Returns:
        possible object is `String`

    - #### setFieldName

          public void setFieldName(java.lang.String value)

      Sets the value of the fieldName property.
      Parameters:
        `value` - allowed object is `String`